var getFullPanel = function(x, y, xd, yd, id, new_id, label1, label2, label3) {
    var panel = document.getElementById(id);
    var html = '<div class="ai-panel dx-' + xd + ' dy-' + yd + ' x-' + x + ' y-' + y + '">';
    html += '<div class="ai-panel-head-block"></div>';
    html += '<div class="ai-panel-head-hor">';
    html += '<div class="ai-panel-head-hor-back"></div>';
    html += '<div class="ai-panel-head-hor-lbl-left1"><strong>' + label1 + '</strong></div>';
    html += '<div class="ai-panel-head-hor-lbl-left2"><strong>' + label2 + '</strong></div>';
    html += '<div class="ai-panel-head-hor-lbl-right"><strong>' + label3 + '</strong></div>';
    html += '</div>';
    html += '<div class="ai-panel-head-seperator"></div>';
    html += '<div class="ai-panel-head-vert">';
    html += '<div class="ai-panel-head-ver-lbl-top1"><strong></strong></div>';
    html += '</div>';
    html += '<div class="ai-panel-body">';
    html += '<div class="ai-panel-body-back"></div>';
    html += '<div class="ai-panel-body-front scroll-overflow" id="' + new_id + '"></div>';
    html += '</div>';
    html += '</div>';
    html += '</div>';
    panel.innerHTML += html;
}

var getSectionTitle = function(label) {
    var html = '<div style="width: 100%; height: 20px">';
    html += '<div class="ai-heading" style="height: 100%;"><div class="ai-heading-left">' + label + '</div><div class="ai-heading-right-fl"></div></div>';
    html += '</div>';
    return html;
}

var getPanel = function(innerHTML) {
    var html = '<div style="width:98%; float:left;" class="ai-div">';
    html += innerHTML;
    html += '</div>';
    return html;
}

var getTabel = function(innerHTML) {
    var html = '<table class="ai-table ai-table-border">';
    html += '<thead></thead>';
    html += '<tbody>';
    html += innerHTML;
    html += '</tbody>';
    html += '</table>';
    return html;
}

var getInfoRow = function(text) {
    var html = '<tr style="width:100%;">';
    html += text;
    html += '</tr>';
    return html;
}

var getInfoCell = function(id, text) {
    var html = '<td><div class="ai-cell ai-cell-info-1"';
    if (id != '') html += ' id="' + id + '"';
    html += '>' + text + '</div></td>';
    return html;
}

var getInfoCellH = function(id, text) {
    var html = '<th><div class="ai-cell ai-cell-info-1"';
    if (id != '') html += ' id="' + id + '"';
    html += '>' + text + '</div></th>';
    return html;
}

var getInfoRowI = function(id_c, text) {
    var html = '<tr class="" style="width:100%;" id="' + id_c + '">';
    html += text;
    html += '</tr>';
    return html;
}

var getInfoCellI = function(id_c, id, text, color) {
    var html = '<td class="hidden" id="' + id_c + '"><div class="ai-cell ' + color + '"';
    if (id != '') html += ' id="' + id + '"';
    html += '>' + text + '</div></td>';
    return html;
}

var getInfoCellHI = function(id_c, id, text, color) {
    var html = '<th class="hidden" id="' + id_c + '"><div class="ai-cell ' + color + '"';
    if (id != '') html += ' id="' + id + '"';
    html += '>' + text + '</div></th>';
    return html;
}